## menu 2.1.5-10.1

=== doc/Makefile ===
all: menu.html/index.html menu.txt.gz menu.info.gz #menu.dvi

menu.html/index.html: menu.sgml
	debiandoc2html menu.sgml

%.info: %.sgml
	debiandoc2info $(*F).sgml

%.txt: %.sgml
	debiandoc2text -O $(*F).sgml > $(*F).txt

%.gz:   %
	gzip -f9 $(*F)

clean: 
	rm -rf menu.html *.info* *.dvi* *.txt*

distclean: clean

install:
	install -d -g root -m 755 -o root \
	     $(prefix)/share/doc/menu/examples \
	     $(prefix)/share/doc/menu/html \
	     $(prefix)/lib/menu/default \
	     $(prefix)/share/info
	cp `find ../examples/* -type f` $(prefix)/share/doc/menu/examples
	cp `find ../default/* -type f` $(prefix)/lib/menu/default
	cp -a menu.html/* $(prefix)/share/doc/menu/html
	cp -a menu.txt.gz $(prefix)/share/doc/menu/
	cp -a menu.info.gz $(prefix)/share/info/
	#
	install -g root -o root -m 644 \
	   menu.sgml README.changes BUGS $(prefix)/share/doc/menu/

=== menu-method/Makefile ===
CPPFLAGS=-I..
CXXFLAGS=-pg -g -Wall

all: menu-method

menu-method.o: menu-method.h menu-method.cc ../adstring.h ../common.h
	rm -f menu-method.o
	g++ $(CPPFLAGS) $(CXXFLAGS) -c  -o menu-method.o menu-method.cc

menu-method: menu-method.o ../adstring.o hints.o menu-tree.o 
	rm -f menu-method
	g++ -o menu-method $(CXXFLAGS) menu-method.o menu-tree.o\
	       hints.o ../adstring.o -lstdc++

static: menu-method.o ../adstring.o
	rm -f menu-method
	g++ -o static $(CXXFLAGS) menu-method.o ../adstring.o\
	     -lc -Wl,-static -lstdc++

adstring.o:../adstring.h ../adstring.cc
	make -C .. adstring.o 

clean   :
	rm -f *.o hintstest menu-method core static 2

backup : clean
	tar -cvzf $$GM0HOME/menu.tar.gz *

hintstest :hints.o hintstest.o
	g++ -g -Wall -o hintstest hints.o hintstest.o

hints.o: hints.h hints.cc ../adstring.h

hintstest.o: hints.h hintstest.cc

menu-tree.o: hints.h menu-tree.cc menu-tree.h menu-method.h ../common.h

=== messages/Makefile ===
PACKAGE=menu-messages
srcdir = .

LANGUAGES=eo es ja
MOs=$(patsubst %, %.mo, $(LANGUAGES))


all:$(MOs)

install:$(MOs)
	for l in $(LANGUAGES); do \
	   DIR=../debian/tmp//usr/share/locale/$$l/LC_MESSAGES; \
	   install -d -o root -g root -m 755 $$DIR && \
	   install -o root -g root -m 0644 $$l.mo \
	     $$DIR/$(PACKAGE).mo; \
	done

menu-messages.pot:
	HOME= ../update-menus/update-menus --menumethod ./menu-method \
	                             --nodefaultdirs \
				     --menufiledir /usr/lib/menu


%.mo     : %.po
	msgfmt -o $(*F).mo $(*F).po 

%.pox    : %.po
	$(MAKE) $(PACKAGE).pot
	msgmerge $(*F).po $(PACKAGE).pot -o $(*F).pox

#$(PACKAGE).pot: menu-messages.in Makefile
#	 xgettext --default-domain=$(PACKAGE) \
#	   --add-comments -a -LC++ --keyword=_ --keyword=N_ \
#	     menu-messages.in \
#	 && test ! -f $(PACKAGE).po \
#	    || ( rm -f $(PACKAGE).pot \
#		&& mv $(PACKAGE).po $(srcdir)/$(PACKAGE).pot )

%.po   : %.trme
	./trme2po <  $^  >  $@

clean:

distclean: clean
	rm -f eo.mo

=== debian/changelog ===
menu (2.1.5-10.1) unstable; urgency=low

  * NMU. Statically link menu on mips and mipsel to work around a
    likely toolchain bug of some sort. sorta kinda Closes: #127921

 -- Joey Hess <joeyh@debian.org>  Fri, 15 Feb 2002 23:01:02 -0500

menu (2.1.5-10) unstable; urgency=low

  * Added .ja translations, from GOTO Masanori <gotom@debian.or.jp>
  * Added .es franslations, from user-es package, 
    Javier Fernandez-Sanguino Pen~a <jfs@computer.org>,
    closes: #106505
  * Added patch from Fabian Sturm <f@rtfs.org> for GNU Hurd,
    Closes: #105674

 -- joost witteveen <joostje@debian.org>  Sun,  29 July 2001 15:02:27 +0300

menu (2.1.5-9) unstable; urgency=low

  * Now only use the locale for LC_MESSAGES, also for install-menu
    (forgot to add this in 2.1.5-7).
    

 -- joost witteveen <joostje@debian.org>  Mon,  2 May 2001 14:02:27 +0300

menu (2.1.5-8) unstable; urgency=low

  * Now only use the locale for LC_MESSAGES. Closes: #90317, #95658

 -- joost witteveen <joostje@debian.org>  Mon, 30 Apr 2001 14:02:27 +0300

menu (2.1.5-7) unstable; urgency=low

  * Applied patch for Hurd locking issue. Closes: #72166
  * update-menus locking code hoped errno wouldn't be changed
    after a successful call to close(). Wrong, and showed up
    on the Hurd. Fixed.
  * manually applied (hopefully all) fixes to the manual pages in 
    bugreport. Closes: 86260

 -- joost witteveen <joostje@debian.org>  Thu, 29 Mar 2001 10:02:27 +0200

menu (2.1.5-6.1) unstable; urgency=low

  * NMU for bug-squashing party. The -prune in doc/Makefile
    was being used correctly. Package now builds again. Closes: #84936

 -- Joey Hess <joeyh@debian.org>  Sat, 24 Feb 2001 15:02:27 -0800

menu (2.1.5-6) unstable; urgency=low

  * Fixed error thouwn in case translation file could not be found
    (this cased errors if user didn't have that file in home dir).
    closes: #63586, #64805
  * removed dpkg-dev entry in default dpkg menu entry file.     
    closes: #58999
  * the default menu.h file now uses x-terminal-emulator, instead of xterm
    Closes: #67557
  * the sort function in the menu-methods file now by default is
    $sort ":" $title.  This makes it work more like it's expected.
    (before, it would ignore the $sort tag-variable from the menu entry
    files). Closes: #44674
  * if run while another update-menus is already running, but dpkg
    is not running (manually started), then update-menus now exits
    (as the verbose output promised, but it never did in older versions).
    Closes: #67760
  
 -- joost witteveen <joostje@debian.org>  Sat, 29 Jul 2000 00:51:12 +0300

menu (2.1.5-5) unstable; urgency=low

  * allowed 'section="/"' in the menu entry files.
  * added also_run command, suggestion from Mandrake developer 
    Frederic Lepied, <flepied@mandrakesoft.com>.
  * install-menu now doesn't generate empty menus any more
    (also reported by Frederic Lepied)
  * Applied patch from (again) Frederic Lepied to make it (at least
    some times) continue if there's an error in a menu-entry-file.
    Whether that's a good thing I don't know, but there have been
    so many people requesting that now that I'll just give in.
  * same patch from Frederic also made the install-menu processes
    have the parent's environment.

 -- joost witteveen <joostje@debian.org>  Mon,  3 Apr 2000 00:22:24 +0300

=== debian/control ===
Source: menu
Section: admin
Priority: optional
Maintainer: joost witteveen <joostje@debian.org>
Standards-Version: 3.5.6.0

Package: menu
Architecture: any
Depends: ${shlibs:Depends}
Conflicts: pdmenu (<=0.5.9)
Description: provides update-menus functions for some applications
 The intent of this package is to streamline the menu's (like the
 fvwm2 ones) in debian. For this purpose, menu provides an "update-menus"
 command, that will read all installed menu files (as provided by
 other packages in /usr/lib/menu), and run the frontents for various
 window-managers in /etc/menu-methods to create startup files for
 the window managers (or pdmenu).
 The user and system admin can easily override the menu files
 on a by-user or by-system bases.

=== debian/rules ===
#! /usr/bin/make -f
#   -*- mode: makefile; -*-
#
# Based on the sample file shipped with debhelper.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# In the Makefile.am themselves I've put -O0, as that speeds
# up compilation significantly (from 10 or so to 1 minute).
# But debian policy says to compile with -O2 (also it really
# does speed up runtime: about 2--3 times as fast).
arch    := $(shell dpkg --print-architecture)
ifneq ($(findstring mips,$(arch)),)
# Static linking works around some toolchain issue on mips. Bug #127921
CXXFLAGS = -g -O2 -Wall -static
else
CXXFLAGS = -g -O2 -Wall
endif

build: build-stamp
build-stamp:
	dh_testdir
#	autoconfig
	automake
	./configure --prefix=/usr
	$(MAKE) CXXFLAGS="$(CXXFLAGS)"
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp

	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) distclean

	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs \
		   usr/sbin \
		   etc/menu-methods \
		   etc/menu \
		   usr/lib/menu/default \
		   usr/share/doc/menu \
		   usr/X11R6/include/X11/pixmaps

	# Add here commands to install the package into debian/tmp.
	$(MAKE) prefix=`pwd`/debian/tmp/usr install

	cp `find default/* -type f` debian/tmp/usr/lib/menu/default
	cp examples/translate_menus examples/menu.h \
	   examples/menu.config debian/tmp/etc/menu-methods 
	cp examples/cmap.xpm debian/tmp/usr/X11R6/include/X11/pixmaps
	#
	install -g root -o root -m 644 \
	   doc/README.changes debian/tmp/usr/share/doc/menu/
	install -g root -o root -m 644 \
	   doc/README.config-menus debian/tmp/etc/menu/README
	install -g root -o root -m 644 \
	   doc/README.menu-methods debian/tmp/etc/menu-methods/README
	install -g root -o root -m 644 \
	   doc/README.package-menus debian/tmp/usr/lib/menu/README
	#
	mv debian/tmp/usr/bin/install-menu debian/tmp/usr/sbin
	mv debian/tmp/usr/bin/install-fvwmgenmenu debian/tmp/usr/sbin
	install -g root -o root -m 755 \
	  scripts/install-fvwmgenmenu.sh scripts/su-to-root \
	  scripts/wm-menu-config \
	  debian/tmp/usr/sbin
	touch install-stamp

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do here, no architecture independant packages here.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_installdocs
#	dh_installexamples
	dh_installmenu
#	dh_installemacsen
#	dh_installinit
#	dh_installcron
	dh_installmanpages
#	dh_undocumented
	dh_installchangelogs
	dh_strip
	dh_compress
	dh_fixperms
#	dh_suidregister
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
#	dh_makeshlibs
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## menu 2.1.14

=== debian/changelog ===
menu (2.1.14) unstable; urgency=low

  * The "unreleased" release
  * Update German menu-section translation. Thanks Sebastian Rittau.
  * Update Hungarian menu-section translation. Thanks Attila Szervá.
  * Update Italian menu-section translation. Thanks Stefano Canepa.
  * Morten Brix Pedersen:
     - Change a wrong error message from "Could not open directory" to "Could
     not create directory".
     - Added --version option to update-menus.
  * Rename 'repeat_lang' menu option to 'outputlanguage' to match
    'outputencoding'.
  * Document --version in update-menus.1 and update-menus.fr.1.
  * Add /etc/menu-methods/lang.h which define sections_translations() as
    the list of translations available in this package.
  * Do not install obsolete README.changes.
  * Fix term() definition in /etc/menu-methods/menu.h.

 -- Bill Allombert <ballombe@debian.org>  Thu, 27 May 2004 15:58:52 +0200

menu (2.1.13) unstable; urgency=low

  * The "sell your car" release
  * Apply patch from Carlos O'Donell for hppa support.
    Closes: #248773. Thanks Grant Grundler.
  * Move wm-menu-config manpage to section 8 and insist it is deprecated.
  * Fix cppesc() to work correctly under non C locales.
  * Fix su-to-root to not change $HOME. This make sure xlib can find
    the X session cookie. Thanks to isaac on IRC for testing the patch. 
    Closes: #246886. This adresses the last case of #150314.
  * Add Ukrainian menu sections translation by Eugeniy Meshcheryakov.
    Closes: #244067.
  * Add Russian menu sections and messages translation by Dan Korostelev.
    Closes: #245353.
  * Add Greek menu sections translation by Konstantinos Margaritis.

 -- Bill Allombert <ballombe@debian.org>  Fri, 14 May 2004 17:17:07 +0200

menu (2.1.12) unstable; urgency=low

  * The "quickfix" release.
  * Jens Arvidsson:
    - Updated Swedish menu messages translation. 
  * Morten Brix Pedersen:
    - Fix bug where section="/" failed when translations were enabled.
      Closes: #243531.
    - Prevent infinite recursion in replace($s,$replace,$with) when $with 
      match $replace.
  * Fix typo in Chinese menu sections translation.  Closes: #242742. Thanks
    Carlos Z.F. Liu.
  * Add Turkish translations of menu messages and menu sections. 
    Closes: #243690. Thanks Cagatay Tengiz and Recai Oktas.
  * Update Catalan menu sections translation. Thanks Jordi Mallach.
  * Rename --menufiledir to --menufilesdir as documented. Update translations
    accordingly. Closes: #241289. Thanks Jean-Luc Coulon.
  * Reformat and extend the documentation about the menu entry format.

 -- Bill Allombert <ballombe@debian.org>  Thu, 15 Apr 2004 17:43:07 +0200

menu (2.1.11) unstable; urgency=low

  * The "Go bravely with Joey" release. 
  * Morten Brix Pedersen:
    - Only enable translated section names when both 'outputencoding' and
      'repeat_lang' has been set.
    - Set repeat_lang="LOCALE" per default. menu-methods now only need to set
      outputencoding in order to enable translations. 
    - Update Danish menu translation.
    - Fixed some inconsistent behaviour with "substitute section->section"
      Closes: #216851. Thanks Jean-Philippe Guérard.
    - Fix compilation with g++ 2.95.
  * su-to-root:
    + New -X for need=X11 entries that support for gksu and kdesu.
      Closes: #166844. Thanks Jason Hildebrand.
    + Handle usage by root more sanely.
    + update manpage.
  * debian/control: 
    + Suggest gksu|kdebase-bin. Install one of those if su-to-root cannot
      access the X server. Closes: #150314. Thanks Raoul Borenius.
  * Update Brazillian menu messages translation. Thanks André Luís Lopes. 
  * Add Norwegian nynorsk menu messages and sections translations. 
    Thanks Håvard Korsvoll.
  * Add Swedish menu messages and sections translation. Thanks Jens Arvidsson.
  * Update Spanish menu sections translation and add Spanish menu messages
    translation. Thanks Javier Fernandez-Sanguino Peña.
  * Update Japanese menu sections translation and add Japanese menu messages
    translation. Thanks Goto Masanori.
  * Update Dutch menu messages translation. Closes: #239324. 
    Thanks Tim Dijkstra.
  * Add French menu messages translation. Thanks Jean-Luc Coulon.
  * Jens Arvidsson:
    - Add Swedish menu messages and sections translation. 

 -- Bill Allombert <ballombe@debian.org>  Tue,  6 Apr 2004 00:38:55 +0200

menu (2.1.10-1) unstable; urgency=low

  * The "Friday 12" release.
  * Morten Brix Pedersen:
    - replacewith($str, $replace, $with) now outputs an error if $replace and
    $with isn't the same length.
    - Don't segfault when there are syntax errors in translate_menus
      (Closes: #221757)
    - Unknown identifiers now generates a warning instead of an error.
    - Implement a replace() function. Closes: #223948
    - Modify basename() function to do as advertised in the documentation.
    - When conversion for a translated menu section failed, fallback to the
    original string.
    - Implement a shell() function.
  * Update Dutch menu message translation. Closes: #230525. Thanks Tim
    Dijkstra.
  * Add Chinese menu messages and sections translations. Closes: #232403.
    Thanks Carlos Z.F. Liu and Yongtao Yang.
  * Remove dconfig-text entry form gpm default menu entry: Closes: #234178.
  * Document that menu files must be encoded in 7bit only.

 -- Bill Allombert <ballombe@debian.org>  Fri, 12 Mar 2004 13:39:31 +0100

menu (2.1.9-5) unstable; urgency=low

  * The "calc inflates severity" release. 
  * Add Polish menu message translation and update Polish menu section
    translation. Thanks Marcin Owsiany.
  * Update French menu section translation. Closes: #225716. Thanks
    Jean-Philippe Guérard.
  * Fix typos in error messages. Closes: #227070. Thanks Tommi Vainikainen.
  * Add Finnish translations. Closes: #227038. Thanks Tommi Vainikainen.
  * Add Brazillian menu message translation. Closes: #227627. Thanks Gustavo 
    Noronha Silva. 


=== debian/rules ===
#! /usr/bin/make -f
#   -*- mode: makefile; -*-
#
# Based on the sample file shipped with debhelper.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DH_COMPAT=1

arch    := $(shell dpkg-architecture -qDEB_HOST_ARCH)

CXXFLAGS = -g -Wall
CFLAGS = -g -Wall

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
CXXFLAGS += -O0
CFLAGS += -O0
else
CXXFLAGS += -O2
CFLAGS += -O2
endif

build: build-stamp
build-stamp:
	dh_testdir
	./configure --prefix=/usr --infodir=/usr/share/info --mandir=/usr/share/man
	$(MAKE) CXXFLAGS="$(CXXFLAGS)" CFLAGS="$(CFLAGS)" 
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp config.log

	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) distclean

	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs \
		   etc/menu-methods \
		   etc/menu \
		   usr/lib/menu \
		   usr/share/man/man1 \
		   usr/share/bug/menu
		   

	# Add here commands to install the package into debian/tmp.
	$(MAKE) install DESTDIR=`pwd`/debian/tmp/

	cp examples/translate_menus examples/menu.h po-sections/lang.h\
	   examples/menu.config debian/tmp/etc/menu-methods 
	#
	install -g root -o root -m 644 \
	   doc/README.config-menus debian/tmp/etc/menu/README
	install -g root -o root -m 644 \
	   doc/README.menu-methods debian/tmp/etc/menu-methods/README
	install -g root -o root -m 644 \
	   doc/README.package-menus debian/tmp/usr/lib/menu/README
	#
	install -g root -o root -m 644 \
	   debian/bug.presubj debian/tmp/usr/share/bug/menu/presubj
	#
	touch install-stamp

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do here, no architecture independant packages here.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installman doc/update-menus.fr.1
#	dh_installexamples
#	dh_installmenu
#	dh_installemacsen
#	dh_installinit
#	dh_installcron
#	dh_undocumented
	dh_installchangelogs
	dh_strip
	dh_compress
	dh_fixperms
	#Ensure update-menus is not shipped executable
	chmod a-x debian/tmp/usr/bin/update-menus
#	dh_suidregister
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
#	dh_makeshlibs
	dh_md5sums
	dh_builddeb


binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## menu 2.1.20

=== debian/changelog ===
menu (2.1.20) unstable; urgency=low

  * The "deer Rudolf" release
  * Call getpwuid() once and cache the value. This avoid stressing 
    needlessly NIS. Thanks to Steven R. Evatt.
  * Extend the documentation of onlyrunasuser.

 -- Bill Allombert <ballombe@debian.org>  Wed, 15 Dec 2004 00:51:03 +0100

menu (2.1.19) unstable; urgency=low

  * The "Debian translators rule!" release
  * Update Finnish menu section translations, fixing a serious translation
    error noticed by Mika Wahlroos. Closes: #276122.
  * Update Brazillian menu section translation. Thanks André Luís Lopes.
  * Update Russian menu messages translation. Thanks Yuri Kozlov.
    Closes: #268638.
  * Fix Norwegian Nynorsk menu message translation. Thanks Håvard Korsvoll.
  * Update Spanish menu messages translation. Thanks Javier Fernandez-Sanguino
    Peña.
  * Update Chinese menu messages translation. Thanks Carlos Z.F. Liu.
  * Add German menu messages translation. Thanks Tobias Toedter.
  * Add Portuguese menu message and menu section translation. Thanks
    António Amorim.

 -- Bill Allombert <ballombe@debian.org>  Mon,  1 Nov 2004 17:15:40 +0100

menu (2.1.18) unstable; urgency=low

  * The "Sarge is still warm" release 
  * Update Japanese menu message translation. Thanks Goto Masanori.
  * Update Finnish menu message translation. Thanks Tommi Vainikainen.
  * Update Brazillian menu message translation. Thanks André Luís Lopes.
  * Update Dutch menu message translation. Thanks Tim Dijkstra. 
    Closes: #274355.
  * Update Norwegian Nynorsk menu message translation. Thanks Håvard Korsvoll.
  * Add file README.translations to document the way menu sections are
    translated.
  * Document it is possible to add entries for menu sections. 
  * Morten Brix Pedersen: 
    - Allow character classes in regular expressions. This fix the parsing
      of translate_menus. Closes: #271659. Thanks, Paul Seelig.
    - Only use letters and digits as possible shortcut keys. Closes: #259349

 -- Bill Allombert <ballombe@debian.org>  Mon,  4 Oct 2004 10:59:02 +0200

menu (2.1.17) unstable; urgency=medium

  * The "yellow pig" release
  * urgency medium: i18n-only release.
  * Add Lithuanian menu section translation, by Kęstutis Biliūnas. 
    Closes: #266134
  * Add Croatian menu section translation by Krunoslav Gernhard.
    Closes: #268054
  * Add Hebrew menu section translation by Lior Kaplan.
    Closes: #269120

 -- Bill Allombert <ballombe@debian.org>  Fri,  3 Sep 2004 13:45:06 +0200

menu (2.1.16) unstable; urgency=low

  * The "Sarge is waiting for us!" release
  * Jens Arvidsson:
    - Update Swedish translation.
  * Morten Brix Pedersen:
    - Treat userprefix prefixed by // as an absolute path instead of just a
    relative path. Closes: #252637, #252891.
    - Revert change in 2.1.15: Don't let outputencoding default to LOCALE by
    default. This was causing too many problems. Closes: #258865.
  * Update Polish menu message translation, thanks Marcin Owsiany. 
  * Add Italian menu message translation, by Stefano Canepa.

 -- Bill Allombert <ballombe@debian.org>  Sat,  7 Aug 2004 11:25:22 +0200

menu (2.1.15) unstable; urgency=low

  * The "spring clean up" release 
  * Jens Arvidsson:
    - Update Swedish translation.
  * Update Italian menu-section translation. Thanks Stefano Canepa.
  * Fix German menu-section translation. Closes: #254416. 
    Thanks Eduard Bloch and Sebastian Rittau.
  * Update French translation of update-menus manpage. Closes: #256992.
    Thanks Sylvain Cherrier.
  * Fix po/Makefile.am so that tr.mo is installed. Sorry for not noticing
    sooner.
  * Morten Brix Pedersen:
    - Update Danish translation.
    - Fix wrong error message when install-menu couldn't open a menu-method.
    - outputencoding now defaults to LOCALE when no value is specified.
    - No longer require startmenu and endmenu to be defined.
    - Call getuid() once and cache the result.
    - Document behaviour when multiple fields are specified in the same menu
      entry. Closes: #250224.
    - Add example of an executable menufile to examples/. Closes: #252606
      Thanks Marc Haber.
  * Sort menu entry according to the current locale. Note that this works
    only if the menu-method uses the locale encoding. Closes: #200447.
  * Fix error message for update-menus --menumethod.  Closes: #251857.
  * Parse update-menus options with getopt_long.
  * Improve update-menus --help message.
  * Avoid [a-z] regexp since that breaks under Estonian locales.
    Closes: #254894. Thanks to Jaan Pullerits for the explanation.

 -- Bill Allombert <ballombe@debian.org>  Fri,  2 Jul 2004 18:35:16 +0200

=== debian/control ===
Source: menu
Section: admin
Priority: optional
Maintainer: Bill Allombert <ballombe@debian.org>
Standards-Version: 3.6.1
Build-Depends: debhelper (>= 3.0.0), texinfo, debiandoc-sgml, gettext

Package: menu
Architecture: any
Depends: ${shlibs:Depends}, dpkg (>=1.10)
Suggests: gksu|kdebase-bin
Description: Provides update-menus functions for some applications
 The intent of this package is to streamline the menus (like the
 fvwm2 ones) in Debian. For this purpose, menu provides an "update-menus"
 command, that will read all installed menu files (as provided by
 other packages in /usr/lib/menu), and run the frontends for various
 window-managers in /etc/menu-methods to create startup files for
 the window managers (or pdmenu).
 The user and system admin can easily override the menu files
 on a by-user or by-system bases.

## menu 2.1.24

=== debian/changelog ===
menu (2.1.24) unstable; urgency=medium

  * The "head or tail" release 
  * Fix .menus typo in menufile.5. Closes: #306564. Thanks Sean Finney.
  * Add Vietnamese menu messages and menu sections translations.
    Thanks Clytie Siddall. Closes: #307450, #308953.
  * Update Esperanto menu sections translation. Thanks MJ Ray.
  * Add Esperanto menu messages translation. Thanks MJ Ray.
  * Unfuzzy Norwegian Bokmål menu messages translation.
  
 -- Bill Allombert <ballombe@debian.org>  Tue, 24 May 2005 10:34:47 +0200

menu (2.1.23) unstable; urgency=low

  * The "getting over Vancouver" release
  * Add Norwegian Bokmål menu messages and sections translation. Thanks
    Hans Fredrik Nordhaug. Closes: #298079.
  * Fix quoting in su-to-root manpage. Thanks Kevin Ryde. Closes: #300643.
  * default/csh: moved to csh package. Thanks Matej Vela.

 -- Bill Allombert <ballombe@debian.org>  Wed, 23 Mar 2005 18:49:10 +0100

menu (2.1.22) unstable; urgency=low

  * The "Debian translators still rule" release 
  * Add Basque menu sections translation. Thanks Piarres Beobide. 
    Closes: #295598.
  * Update Russian menu sections translation. Thanks Nikolai Prokoschenko.
    Closes: #295607.
  * Add Galician menu messages and sections translation. Thanks Jacobo Tarrio.
    Closes: #295620, #295768.
  * Add Traditional Chinese menu messages and sections translation. 
    Thanks Kanru Chen and Asho Yeh.  Closes: #295794, #295683.
  * Update Turkish menu messages translation. Thanks Recai Oktas.
    Closes: #295732.
  * Add Bahasa Indonesian menu sections translation. Thanks Arief S Fitrian.
    Closes: #295796.
  * Add Greek menu messages translation. Thanks Konstantinos Margaritis. 
    Closes: #295987
  * Add Romanian menu sections translation. Thanks Sorin Batariuc.
    Closes: #296090.
  * Clean up the BUGS file.
  * debian/bug.presubj: display "Reporting menu bugs" in red to stand out.
  * su-to-root: add support for sux and for a .su-to-rootrc config file.
    Closes: #272752. Thanks Fabian Franz.
  * Morten Brix Pedersen: 
    - Fixed two typos in the Danish menu program translation.
    - Corrected the counting of menu entries in verbose output.
      Closes: #280081. Thanks Andrew Burton.

 -- Bill Allombert <ballombe@debian.org>  Thu, 24 Feb 2005 16:53:25 +0100

menu (2.1.21) unstable; urgency=low

  * The "time for ugly work-around" release
  * Add Czech menu messages translation. Thanks Miroslav Kure.
    Closes: #287308.
  * debian/control: uncapitalize synopsis.
  * debian/postinst, debian/prerm, debian/rules:
    Divert update-menus by a script that checks if update-menus is executable.
    This is a work-around for broken postrm scripts in woody. Closes: #289702.
    Thanks Adam C Powell IV for noticing them.

 -- Bill Allombert <ballombe@debian.org>  Thu, 20 Jan 2005 17:21:31 +0100

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,8 @@
 Package: menu
 Architecture: any
 Depends: ${shlibs:Depends}, dpkg (>=1.10)
-Suggests: gksu|kdebase-bin
-Description: Provides update-menus functions for some applications
+Suggests: gksu|kdebase-bin|sux
+Description: provides update-menus functions for some applications
  The intent of this package is to streamline the menus (like the
  fvwm2 ones) in Debian. For this purpose, menu provides an "update-menus"
  command, that will read all installed menu files (as provided by

=== debian/rules ===
--- 
+++ 
@@ -54,6 +54,12 @@
 	# Add here commands to install the package into debian/tmp.
 	$(MAKE) install DESTDIR=`pwd`/debian/tmp/
 
+	#Divert update-menus to work around some broken postrm in woody. 
+	#See #289702
+	mv debian/tmp/usr/bin/update-menus debian/tmp/usr/bin/update-menus.real
+	install -g root -o root -m 755 debian/update-menus.sh \
+	                               debian/tmp/usr/bin/update-menus
+
 	cp examples/translate_menus examples/menu.h po-sections/lang.h\
 	   examples/menu.config debian/tmp/etc/menu-methods 
 	#
@@ -90,7 +96,7 @@
 	dh_compress
 	dh_fixperms
 	#Ensure update-menus is not shipped executable
-	chmod a-x debian/tmp/usr/bin/update-menus
+	chmod a-x debian/tmp/usr/bin/update-menus.real
 #	dh_suidregister
 	dh_installdeb
 	dh_shlibdeps

## menu 2.1.25

=== debian/changelog ===
menu (2.1.25) unstable; urgency=low

  * The "Welcome to Etch" release 
  * Documentation changes-only upload to transition from /usr/lib/menu
    to /usr/share/menu. Sarge menu support both locations already,
    /usr/lib/menu havinghigher priority than /usr/share/menu.
    Closes: #92428. Thanks Jochen Voss.
  * debian/rules: Move README from /usr/lib/menu to /usr/share/menu.
  * debian/control: Rewrite package description.
  * Clean up manpages.
  * Update Portuguese menu sections translation. 
    Thanks Miguel Figueiredo. Closes: #311308.
  * Remove gpm default menu entry. Closes: #187728.
  * Changes by Christian Perrier:
    - Correct extra space before exclamation mark before a program message
    - Update german menu messages and sections translations. 
      Thanks Jens Seidel. Closes: #312852

 -- Bill Allombert <ballombe@debian.org>  Sun, 12 Jun 2005 18:57:18 +0200

=== debian/control ===
Source: menu
Section: admin
Priority: optional
Maintainer: Bill Allombert <ballombe@debian.org>
Standards-Version: 3.6.1
Build-Depends: debhelper (>= 3.0.0), texinfo, debiandoc-sgml, gettext

Package: menu
Architecture: any
Depends: ${shlibs:Depends}, dpkg (>=1.10)
Suggests: gksu|kdebase-bin|sux
Description: generates programs menu for all menu-aware applications
 Debian menu keeps transparently the menus in the different
 window-managers in sync with the list of installed programs. 
 .
 Debian menu relies on a list of menu entries provided by programs
 and a list of menu-methods provided by window-managers and other
 menu-aware applications.
 .
 Menu provides system-level and user-level configuration and overrides
 for both menu entries and menu-methods.

=== debian/rules ===
--- 
+++ 
@@ -46,7 +46,7 @@
 	dh_installdirs \
 		   etc/menu-methods \
 		   etc/menu \
-		   usr/lib/menu \
+		   usr/share/menu \
 		   usr/share/man/man1 \
 		   usr/share/bug/menu
 		   
@@ -68,7 +68,7 @@
 	install -g root -o root -m 644 \
 	   doc/README.menu-methods debian/tmp/etc/menu-methods/README
 	install -g root -o root -m 644 \
-	   doc/README.package-menus debian/tmp/usr/lib/menu/README
+	   doc/README.package-menus debian/tmp/usr/share/menu/README
 	#
 	install -g root -o root -m 644 \
 	   debian/bug.presubj debian/tmp/usr/share/bug/menu/presubj

## menu 2.1.27

=== debian/changelog ===
menu (2.1.27) unstable; urgency=low

  * The "Mock Turtle" release
  * Allow to remove generated menus. Closes: #81495, thanks Yann Dirson.
   - New config option removemenu that should remove the menu.
   - New install-menu option --remove to call removemenu.
   - New update-menus option --remove to call install-menu with --remove.
  * Clean up manpages (first stage).
  * Changes proposed by Nicolas François:
   - Add French su-to-root.1 and menufile.5 translations.
   - Remove verbatim environment from su-to-root.1 and install-menu.1

 -- Bill Allombert <ballombe@debian.org>  Sun, 11 Dec 2005 14:35:19 +0100

menu (2.1.26) unstable; urgency=low

  * The "And no, I'm not accepting job offers (2)" release. 
  * Menu-methods should now use #!/usr/bin/install-menu
  * Fix update-menus counting of menuentries in verbose mode. 
    Closes: #315304. Thanks Shlomi Fish.
  * Add Bulgarian menu sections translation. Thanks Yavor Doganov.
    Closes: #315841. 
  * Add Slovak menu sections translation. Thanks Peter Mann.
    Closes: #330182
  * Bump Standards-Version to 3.6.2.
  * debian/postinst, debian/prerm, debian/rules: Undivert update-menus.
  * scripts/wm-menu-config, doc/wm-menu-config.8: removed.
  * install-menu and su-to-root are now in /usr/bin and symlinks in 
    /usr/sbin.
  * debian/copyright: update FSF address and bump copyright date.
  * debian/menu.sgml: Fix typos, thanks Francesco Poli and 
    Miguel Gea Milvaques. Closes: #328947.
  * debian/rules, debian/control, debian/conffiles: 
    + Switch to debhelper v4. 
    + Hack to prevent /etc/menu/README and /etc/menu-methods/README 
      to be marked as conffiles.
  * update-menus was segfaulting on non-readable directories. 
    Closes: #331247. Thanks Felipe Almeida Lessa.
  * The functions firstentry(), entryindex() and lastentry() did not work
    when sorting was used.  Closes: #231826. Thanks Jorgen Schäfer.
  * Morten Brix Pedersen:
    - Add missing virtual destructor to class 'func'.

 -- Bill Allombert <ballombe@debian.org>  Tue,  4 Oct 2005 18:31:56 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: admin
 Priority: optional
 Maintainer: Bill Allombert <ballombe@debian.org>
-Standards-Version: 3.6.1
-Build-Depends: debhelper (>= 3.0.0), texinfo, debiandoc-sgml, gettext
+Standards-Version: 3.6.2
+Build-Depends: debhelper (>= 4.0.0), texinfo, debiandoc-sgml, gettext
 
 Package: menu
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -5,8 +5,6 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
-
-export DH_COMPAT=1
 
 arch    := $(shell dpkg-architecture -qDEB_HOST_ARCH)
 
@@ -51,27 +49,21 @@
 		   usr/share/bug/menu
 		   
 
-	# Add here commands to install the package into debian/tmp.
-	$(MAKE) install DESTDIR=`pwd`/debian/tmp/
-
-	#Divert update-menus to work around some broken postrm in woody. 
-	#See #289702
-	mv debian/tmp/usr/bin/update-menus debian/tmp/usr/bin/update-menus.real
-	install -g root -o root -m 755 debian/update-menus.sh \
-	                               debian/tmp/usr/bin/update-menus
+	# Add here commands to install the package into debian/menu.
+	$(MAKE) install DESTDIR=`pwd`/debian/menu/
 
 	cp examples/translate_menus examples/menu.h po-sections/lang.h\
-	   examples/menu.config debian/tmp/etc/menu-methods 
+	   examples/menu.config debian/menu/etc/menu-methods 
 	#
 	install -g root -o root -m 644 \
-	   doc/README.config-menus debian/tmp/etc/menu/README
+	   doc/README.config-menus debian/menu/etc/menu/README
 	install -g root -o root -m 644 \
-	   doc/README.menu-methods debian/tmp/etc/menu-methods/README
+	   doc/README.menu-methods debian/menu/etc/menu-methods/README
 	install -g root -o root -m 644 \
-	   doc/README.package-menus debian/tmp/usr/share/menu/README
+	   doc/README.package-menus debian/menu/usr/share/menu/README
 	#
 	install -g root -o root -m 644 \
-	   debian/bug.presubj debian/tmp/usr/share/bug/menu/presubj
+	   debian/bug.presubj debian/menu/usr/share/bug/menu/presubj
 	#
 	touch install-stamp
 
@@ -84,24 +76,17 @@
 	dh_testdir
 	dh_testroot
 	dh_installdocs
-	dh_installman doc/update-menus.fr.1
-#	dh_installexamples
-#	dh_installmenu
-#	dh_installemacsen
-#	dh_installinit
-#	dh_installcron
-#	dh_undocumented
+	dh_installman doc/update-menus.fr.1 doc/su-to-root.fr.1 \
+	              doc/menufile.fr.5
 	dh_installchangelogs
 	dh_strip
 	dh_compress
 	dh_fixperms
-	#Ensure update-menus is not shipped executable
-	chmod a-x debian/tmp/usr/bin/update-menus.real
-#	dh_suidregister
 	dh_installdeb
+#	refuse debhelper V3 conffiles behaviour.
+	cp debian/conffiles debian/menu/DEBIAN
 	dh_shlibdeps
 	dh_gencontrol
-#	dh_makeshlibs
 	dh_md5sums
 	dh_builddeb

## menu 2.1.29

=== debian/changelog ===
menu (2.1.29) unstable; urgency=low

  * The "spotted giraffe" release.
  * Replace depcomp symlink by the depcomp script. Closes: #375103.
  * Add Khmer menu sections translation. Thanks, Khoem Sokhem. Closes: #375062.

 -- Bill Allombert <ballombe@debian.org>  Tue, 27 Jun 2006 20:52:38 +0200

menu (2.1.28) unstable; urgency=low

  * The "Happy birthday" release 
  * Morten Brix Pedersen:
    - Actually write pid to update-menus.pid. 
      Thanks to Pierre Thierry who discovered this bug.
  * Fix the menu.pot file. Closes: #343327. Thanks Thomas Huriaux.
  * debian/rules: 
    + Undo incorrect change in 2.1.26 that caused update-menus to be shipped
      executable. Closes: #368814. Thanks Peter Chubb
  * Fix typos in su-to-root's French manpage. Thanks Filipus Klutiero.
    Closes: #352465.
  * Improve menu.sgml following suggestions from Daniel Barclay, first stage,
    see bug #354403.
  * Update Greek menu sections translation. Thanks Konstantinos Margaritis.
    Closes: #344587. 
  * Update Galician menu sections translation. Thanks Jacobo Tarrio.
    Closes: #359074.
  * Add Nepali menu sections translation. Thanks, Shiva Pokharel
    Closes: #374272
  * Add Belarusian menu sections translation. Thanks, Pavel Piatruk
    Closes: #373240
  * Update Hungarian menu sections translation. Thanks, Attila Szervác
    Closes: #374622
  * Bump Standards-Version to 3.7.2.

 -- Bill Allombert <ballombe@debian.org>  Thu, 22 Jun 2006 20:40:52 +0200

## menu 2.1.32

=== debian/changelog ===
menu (2.1.32) unstable; urgency=medium

  * The "maintainer on strike" release
  * Medium urgency for i18n only upload.
  * This release was prepared by Christian Perrier.
  * Menu translations
    - Bengali added by Jamil Ahmed
    - Gujarati added by Kartik Mistry
    - Albanian added by Elian Myftiu. Closes: #394702
    - Macedonian added by Georgi Stanojevski. Closes: #396033
    - Bosnian added by Safir Secerovic.
      Closes: #396403, #396432, #396651, #397326
    - Hindi added by Guntupalli Karunakar (still 4u)
  * Programs translations
    - Vietnamese updated by Clytie Siddal. Closes: #393622

 -- Bill Allombert <ballombe@debian.org>  Sat, 11 Nov 2006 18:36:22 +0100

menu (2.1.31) unstable; urgency=medium

  * The "it is not dead, it's sleeping" release.
  * Medium urgency for i18n and documentation fix only upload.
  * menufile.5, menufile.fr.5:
    - section WindowManagers was mispelled.
  * Program translations: (Thanks Christian Perrier for processing them).
    - French update by Jean-Luc Coulon. Closes: #344434
    - Russian update by Yuri Kozlov. Closes: #386789
    - Swedish update by Daniel Nylander. Closes: #386701
    - Thai update by Theppitak Karoonboonyanan. Closes: #386921
    - Czech update by Miroslav Kure. Closes: #387343
    - Vietnamese update by Clytie Siddall. Closes: #387577
  * Menu translations
    - Slovak update by Peter Mann.
    - Wolof translation by Mouhamadou Mamoune Mbacke.
    - Kurdish translation by Erdal Ronahi. Closes: #387763, 387764
    - Korean translation by Sunjae Park. Closes: #391335

 -- Bill Allombert <ballombe@debian.org>  Wed, 11 Oct 2006 01:17:24 +0200

menu (2.1.30) unstable; urgency=low

  * The "check for free" release.
  * New po/menu.pot file to translate.
  * Add Dzongkha menu sections translation. Thanks, Jurmey Rabgay.
  * Add Arabic menu sections translation. Thanks, Ossama M. Khayat.
    Closes: #377427
  * Add Thai menu messages and sections translations.
    Thanks, Theppitak Karoonboonyanan. Closes: #377511
  * Add Tagalog menu sections translation. Thanks, Eric Pareja.
    Closes: #382337
  * configure.ac, po/Makefile.am, po-sections/Makefile.am:
    + automatically compute the list of available po files when running
      configure instead of hard-coding them. This should make life easier
      for Christian and Mohammed.
  * su_to-root: if both gksu and kdesu are available, select kdesu
    in preference of gksu if running under KDE. Thanks Fathi Boudra.
  * su_to-root.1, su_to-root.fr.1: document which program is called when
    SU_TO_ROOT_X is not set. Closes: #352464. Noticed by Filipus Klutiero.
  * Improve menu.sgml and manpages following suggestions from Daniel Barclay.
    Closes: #354403, thanks a lot for the thorough review.
  * update-menus:
    + In verbose mode, report menu entries that depend on a missing package.
      Closes: #386446.  Requested by Frank Küster.

 -- Bill Allombert <ballombe@debian.org>  Fri,  8 Sep 2006 19:08:30 +0200

## menu 2.1.33

=== debian/changelog ===
menu (2.1.33) unstable; urgency=low

  * The "and justice for all" release.
  * Apply patch from Tim Dijkstra to simplify wait_dpkg() to not require
    signal to be sent between the parent and the child to work around a
    race condition in glibc, probably bug #223110. Closes: #374834.
  * Menu translations
    - Portuguese updated by Miguel Figueiredo. Closes: #399241
    - Malayalam added by Praveen. Closes: #402016
    - Tamil added by Tirumurti Vasudevan.

 -- Bill Allombert <ballombe@debian.org>  Fri, 22 Dec 2006 15:20:52 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: Bill Allombert <ballombe@debian.org>
-Standards-Version: 3.6.2
+Standards-Version: 3.7.2
 Build-Depends: debhelper (>= 4.0.0), texinfo, debiandoc-sgml, gettext
 
 Package: menu

=== debian/rules ===
--- 
+++ 
@@ -82,6 +82,8 @@
 	dh_strip
 	dh_compress
 	dh_fixperms
+	#Ensure update-menus is not shipped executable
+	chmod a-x debian/menu/usr/bin/update-menus
 	dh_installdeb
 #	refuse debhelper V3 conffiles behaviour.
 	cp debian/conffiles debian/menu/DEBIAN

## menu 2.1.34

=== debian/changelog ===
menu (2.1.34) unstable; urgency=low

  * The "black arrow" release.
  * Apply patch from Martin Michlmayr to fix compilation with GCC 4.3.
    Closes: #417431.
  * su-to-root:
    - tighten the script. Closes: #416302.
    - add support for SU_TO_ROOT_SU=sudo. Closes: #410875
    - l10n support. Closes: #383321. Thanks Michelle Konzack.
    - support for a /etc/su-to-rootrc config file.
  * Menu translations
    - Marathi added by Priti Patil. Closes: #416797
    - Punjabi added by Amanpreet Singh Alam. Closes: #427300
  * Programs translations
    - Spanish updated by Javier Fernández-Sanguino Peña. Closes: #423277

 -- Bill Allombert <ballombe@debian.org>  Wed,  6 Jun 2007 20:09:59 +0200
